Your dialogue box is for lineweight, which is different to thickness and width. To see the lineweight you need to highlight the icon shown with the red arrow in this image, if you don't see the icon you can make it visible by clicking on the 3 horizontal lines (yellow arrow) and select line weight.
(defun c:Test (/ i s c e y l b k)
;; Tharwat - Date: 24.Mar.2021 ;;
;; Freeze layers of selected objects ;;
;; NOTE: excludes if any of the layers is current. ;;
(and (princ "\nSelect objects to Freeze their layers : ")
(setq c (getvar 'CLAYER)
i -1
s (ssget '((0 . "~VIEWPORT")))
)
(while (setq i (1+ i)
e (ssname s i)
)
(or (member (setq y (cdr (assoc 8 (entget e)))) l)
(= c y)
(and (setq l (cons y l)
b (entget (tblobjname "LAYER" y))
k (assoc 70 b)
)
(entmod (subst (cons 70 (1+ (cdr k))) k b))
)
)
)
)
(princ)
)
I have double checked the updated code is definitely their now and uses the vla-sendcommand method, not sure why it did not update before I must have clicked wrong button or something, tested in Autocad and Bricscad.
Bricscad can be a bit more forgiving when coding and often works where Autocad does not.